summaryrefslogtreecommitdiff
path: root/global/overlay/usr
diff options
context:
space:
mode:
authorLeif Johansson <leifj@sunet.se>2015-04-16 22:17:59 +0200
committerLeif Johansson <leifj@sunet.se>2015-04-16 22:17:59 +0200
commitc4be8feaa90830cf0c1cafdd496f383c6df361d0 (patch)
treee18b8ed9647a41b7ec061ee637a2441119997fb0 /global/overlay/usr
parent9f64c5737b4c57944bb33d78409cded63d07351a (diff)
parenta1f6be0730d25fd6f4ecff0d91bc75a8a250c0fe (diff)
Merge branch 'master' of git.nordu.net:sunet-opssunet-ops-2015-04-16-v01
Diffstat (limited to 'global/overlay/usr')
-rwxr-xr-xglobal/overlay/usr/local/bin/ping-check19
1 files changed, 19 insertions, 0 deletions
diff --git a/global/overlay/usr/local/bin/ping-check b/global/overlay/usr/local/bin/ping-check
new file mode 100755
index 0000000..26c99ed
--- /dev/null
+++ b/global/overlay/usr/local/bin/ping-check
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+#
+# Ping until reply or MAX_TRIES. One try == 1s.
+#
+
+MAX_TRIES=10
+LOGTAG="sunet_docker_ping_check"
+
+count=0
+until ping -c1 $1 &> /dev/null
+do
+ if [ $count -gt $MAX_TRIES ]
+ then
+ logger -t "$LOGTAG" "No response from $1 after $MAX_TRIES tries."
+ exit 1
+ fi
+ sleep 1
+ count=$[$count+1]
+done